#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# █▀▄▀█ █▀▀ █▀█ █▀▀ ▀█▀ █░░ ▀
# █░▀░█ █▄█ █▀▄ █▄▄ ░█░ █▄▄ ▄
# -- -- -- -- -- -- -- -- --

import click

from mgrctl import __version__
from mgrctl.cli.lazy_group import LazyGroup


@click.group(
    cls=LazyGroup,
    lazy_subcommands={
        'vm6': 'mgrctl.apps.vm6.commands.cli',
        'dci6': 'mgrctl.apps.dci6.commands.cli',
    },
    help='main CLI command for mgrctl app',
)
@click.version_option(
    version=__version__,
    package_name='mgrctl',
    message=__version__
)
def cli():
    pass


if __name__ == '__main__':
    cli()
